Loading...
Searching...
No Matches
Halide::Internal::GpuObjectLifetimeTracker Class Reference

`#include <gpu_object_lifetime_tracker.h>`

## Public Member Functions

void | record_gpu_debug (const char *str)
int | validate_gpu_object_lifetime (bool allow_globals, bool allow_none, int max_globals)

## Detailed Description

Definition at line 11 of file gpu_object_lifetime_tracker.h.

## Member Function Documentation

## record_gpu_debug()

void Halide::Internal::GpuObjectLifetimeTracker::record_gpu_debug | ( | const char * | str | ) |

inline

Definition at line 66 of file gpu_object_lifetime_tracker.h.

References strstr().

## validate_gpu_object_lifetime()

int Halide::Internal::GpuObjectLifetimeTracker::validate_gpu_object_lifetime | ( | bool | allow_globals,
|  | bool | allow_none,
|  | int | max_globals )

inline

Definition at line 78 of file gpu_object_lifetime_tracker.h.

The documentation for this class was generated from the following file:

- test/common/gpu_object_lifetime_tracker.h